Description: Upstream changes introduced in version 4.8-3
 This patch has been created by dpkg-source during the package build.
 Here's the last changelog entry, hopefully it gives details on why
 those changes were made:
 .
 silo-llnl (4.8-3) unstable; urgency=low
 .
   * Include patch by Nobuhiro Iwamatsu to build on SH4. Closes: #609074.
 .
 The person named in the Author field signed this changelog entry.
Author: Alastair McKinstry <mckinstry@debian.org>
Bug-Debian: http://bugs.debian.org/609074

---
The information above should follow the Patch Tagging Guidelines, please
checkout http://dep.debian.net/deps/dep3/ to learn about the format. Here
are templates for supplementary fields that you might want to add:

Origin: <vendor|upstream|other>, <url of original patch>
Bug: <url in upstream bugtracker>
Bug-Debian: http://bugs.debian.org/<bugnumber>
Bug-Ubuntu: https://launchpad.net/bugs/<bugnumber>
Forwarded: <no|not-needed|url proving that it has been forwarded>
Reviewed-By: <name and email of someone who approved the patch>
Last-Update: <YYYY-MM-DD>

--- silo-llnl-4.8.orig/Makefile
+++ silo-llnl-4.8/Makefile
@@ -151,7 +151,7 @@ CCDEPMODE = depmode=none
 CC_FULLPATH = /usr/bin/gcc
 CFLAGS = -g -O2 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -Wdeclaration-after-statement
 CONFIG_CMD = ./configure '--build=i486-linux-gnu' '--prefix=/usr' '--includedir=${prefix}/include' '--mandir=${prefix}/share/man' '--infodir=${prefix}/share/info' '--sysconfdir=/etc' '--localstatedir=/var' '--libexecdir=${prefix}/lib/silo-llnl' '--disable-maintainer-mode' '--disable-dependency-tracking' '--with-qt=/usr' '--enable-pythonmodule' '--enable-silex' '--with-qt-bin=/usr/bin' '--with-qt-lib=/usr/lib' '--with-qt-include=/usr/include/qt4' '--with-hdf5=/usr/include,/usr/lib' 'PYTHON=python2.6' 'build_alias=i486-linux-gnu' 'CXXFLAGS=-g -O2' 'LDFLAGS=' 'CPPFLAGS=' 'CFLAGS=-g -O2' 'FFLAGS=-g -O2'
-CONFIG_DATE = Mon Apr 11 04:46:15 IST 2011
+CONFIG_DATE = Mon Apr 11 07:04:25 IST 2011
 CONFIG_USER = alastair@debian
 CPP = gcc -E
 CPPFLAGS = -I/usr/include 
--- silo-llnl-4.8.orig/tests/testsuite.log.hdf5
+++ silo-llnl-4.8/tests/testsuite.log.hdf5
@@ -62,72 +62,72 @@ testsuite: atconfig:
 ## ------------------ ##
 ## Running the tests. ##
 ## ------------------ ##
-testsuite: starting at: Mon Apr 11 04:52:13 IST 2011
-1. version (testsuite.at:63): ok     (0m0.032s 0m0.208s)
-2. namescheme (testsuite.at:86): ok     (0m0.028s 0m0.172s)
-3. point (testsuite.at:89): ok     (0m0.040s 0m0.212s)
-4. extface (testsuite.at:92): ok     (0m0.036s 0m0.192s)
-5. testall -small (testsuite.at:95): ok     (0m0.232s 0m0.268s)
-6. TestReadMask (testsuite.at:98): ok     (0m0.372s 0m0.856s)
-7. array (testsuite.at:104): ok     (0m0.028s 0m0.212s)
-8. multi_test (testsuite.at:107): ok     (0m0.316s 0m0.724s)
-9. multi_test earlyclose (testsuite.at:110): ok     (0m0.176s 0m0.236s)
-10. partial_io (testsuite.at:113): ok     (0m0.020s 0m0.212s)
-11. simple (testsuite.at:116): ok     (0m0.036s 0m0.196s)
-12. ucd (testsuite.at:119): ok     (0m0.024s 0m0.216s)
-13. ucdsamp3 (testsuite.at:122): ok     (0m0.040s 0m0.192s)
-14. testall -small -fortran (testsuite.at:125): ok     (0m0.252s 0m0.232s)
-15. obj (testsuite.at:128): ok     (0m0.028s 0m0.204s)
-16. onehex (testsuite.at:131): ok     (0m0.024s 0m0.204s)
-17. oneprism (testsuite.at:134): ok     (0m0.036s 0m0.192s)
-18. onepyramid (testsuite.at:137): ok     (0m0.056s 0m0.176s)
-19. onetet (testsuite.at:140): ok     (0m0.048s 0m0.184s)
-20. subhex (testsuite.at:143): ok     (0m0.040s 0m0.196s)
-21. twohex (testsuite.at:146): ok     (0m0.052s 0m0.188s)
-22. multispec (testsuite.at:149): ok     (0m0.036s 0m0.268s)
-23. sami (testsuite.at:152): ok     (0m0.040s 0m0.232s)
-24. specmix (testsuite.at:155): ok     (0m0.088s 0m0.220s)
-25. spec (testsuite.at:158): ok     (0m0.044s 0m0.200s)
-26. group_test (testsuite.at:161): ok     (0m0.308s 0m0.664s)
-27. listtypes (testsuite.at:164): ok     (0m0.124s 0m0.436s)
-28. alltypes (testsuite.at:168): ok     (0m0.040s 0m0.208s)
-29. wave (testsuite.at:171): ok     (0m0.068s 0m0.380s)
-30. polyzl (testsuite.at:174): ok     (0m0.028s 0m0.216s)
-31. csg (testsuite.at:177): ok     (0m0.032s 0m0.220s)
-32. rocket (testsuite.at:180): ok     (0m0.060s 0m0.264s)
-33. mmadjacency (testsuite.at:183): ok     (0m0.052s 0m0.208s)
-34. mat3d_3across (testsuite.at:186): ok     (0m0.052s 0m0.188s)
-35. ucd1d (testsuite.at:189): ok     (0m0.100s 0m0.232s)
-36. dir (testsuite.at:192): ok     (0m0.100s 0m0.256s)
-37. quad (testsuite.at:195): ok     (0m0.076s 0m0.224s)
-38. arbpoly2d (testsuite.at:198): ok     (0m0.052s 0m0.244s)
-39. readstuff (testsuite.at:201): ok     (0m0.304s 0m0.968s)
-40. read (testsuite.at:207): ok     (0m0.268s 0m1.004s)
-41. write (testsuite.at:212): ok     (0m0.048s 0m0.088s)
-42. error handling (testsuite.at:227): ok     (0m0.264s 0m0.952s)
+testsuite: starting at: Mon Apr 11 07:09:06 IST 2011
+1. version (testsuite.at:63): ok     (0m0.040s 0m0.060s)
+2. namescheme (testsuite.at:86): ok     (0m0.012s 0m0.056s)
+3. point (testsuite.at:89): ok     (0m0.060s 0m0.092s)
+4. extface (testsuite.at:92): ok     (0m0.032s 0m0.064s)
+5. testall -small (testsuite.at:95): ok     (0m0.220s 0m0.136s)
+6. TestReadMask (testsuite.at:98): ok     (0m0.328s 0m0.352s)
+7. array (testsuite.at:104): ok     (0m0.032s 0m0.076s)
+8. multi_test (testsuite.at:107): ok     (0m0.544s 0m0.564s)
+9. multi_test earlyclose (testsuite.at:110): ok     (0m0.188s 0m0.164s)
+10. partial_io (testsuite.at:113): ok     (0m0.032s 0m0.076s)
+11. simple (testsuite.at:116): ok     (0m0.052s 0m0.116s)
+12. ucd (testsuite.at:119): ok     (0m0.036s 0m0.128s)
+13. ucdsamp3 (testsuite.at:122): ok     (0m0.040s 0m0.120s)
+14. testall -small -fortran (testsuite.at:125): ok     (0m0.360s 0m0.232s)
+15. obj (testsuite.at:128): ok     (0m0.048s 0m0.048s)
+16. onehex (testsuite.at:131): ok     (0m0.044s 0m0.100s)
+17. oneprism (testsuite.at:134): ok     (0m0.064s 0m0.108s)
+18. onepyramid (testsuite.at:137): ok     (0m0.060s 0m0.088s)
+19. onetet (testsuite.at:140): ok     (0m0.036s 0m0.120s)
+20. subhex (testsuite.at:143): ok     (0m0.024s 0m0.092s)
+21. twohex (testsuite.at:146): ok     (0m0.044s 0m0.084s)
+22. multispec (testsuite.at:149): ok     (0m0.040s 0m0.084s)
+23. sami (testsuite.at:152): ok     (0m0.068s 0m0.108s)
+24. specmix (testsuite.at:155): ok     (0m0.044s 0m0.104s)
+25. spec (testsuite.at:158): ok     (0m0.024s 0m0.080s)
+26. group_test (testsuite.at:161): ok     (0m0.576s 0m0.516s)
+27. listtypes (testsuite.at:164): ok     (0m0.132s 0m0.188s)
+28. alltypes (testsuite.at:168): ok     (0m0.056s 0m0.092s)
+29. wave (testsuite.at:171): ok     (0m0.116s 0m0.276s)
+30. polyzl (testsuite.at:174): ok     (0m0.048s 0m0.084s)
+31. csg (testsuite.at:177): ok     (0m0.048s 0m0.128s)
+32. rocket (testsuite.at:180): ok     (0m0.080s 0m0.100s)
+33. mmadjacency (testsuite.at:183): ok     (0m0.048s 0m0.084s)
+34. mat3d_3across (testsuite.at:186): ok     (0m0.032s 0m0.112s)
+35. ucd1d (testsuite.at:189): ok     (0m0.028s 0m0.116s)
+36. dir (testsuite.at:192): ok     (0m0.084s 0m0.116s)
+37. quad (testsuite.at:195): ok     (0m0.072s 0m0.100s)
+38. arbpoly2d (testsuite.at:198): ok     (0m0.060s 0m0.108s)
+39. readstuff (testsuite.at:201): ok     (0m0.700s 0m0.688s)
+40. read (testsuite.at:207): ok     (0m0.712s 0m0.704s)
+41. write (testsuite.at:212): ok     (0m0.064s 0m0.064s)
+42. error handling (testsuite.at:227): ok     (0m0.688s 0m0.596s)
 43. testpdb (testsuite.at:234): skipped (testsuite.at:235)
-44. grab (testsuite.at:239): ok     (0m0.128s 0m0.336s)
-45. compression gzip (testsuite.at:242): ok     (0m3.104s 0m2.332s)
+44. grab (testsuite.at:239): ok     (0m0.188s 0m0.180s)
+45. compression gzip (testsuite.at:242): ok     (0m3.668s 0m0.888s)
 47. compression fpzip (testsuite.at:252): skipped (testsuite.at:254)
 48. compression lossy3 (testsuite.at:257): skipped (testsuite.at:259)
 49. compression minratio1000 (testsuite.at:262): skipped (testsuite.at:264)
 50. testhzip (testsuite.at:266): skipped (testsuite.at:268)
-51. checksums (testsuite.at:270): ok     (0m2.532s 0m3.948s)
-52. xversion (testsuite.at:273): ok     (0m2.940s 0m7.940s)
-54. arrayf77 (testsuite.at:282): ok     (0m0.036s 0m0.212s)
-55. curvef77 (testsuite.at:286): ok     (0m0.024s 0m0.164s)
-56. matf77 (testsuite.at:290): ok     (0m0.040s 0m0.188s)
-57. pointf77 (testsuite.at:294): ok     (0m0.032s 0m0.168s)
-58. quadf77 (testsuite.at:298): ok     (0m0.044s 0m0.192s)
-59. testallf77 (testsuite.at:302): ok     (0m0.052s 0m0.128s)
-60. ucdf77 (testsuite.at:306): ok     (0m0.032s 0m0.136s)
-61. silock (testsuite.at:312): ok     (0m0.324s 0m0.856s)
-62. force single (testsuite.at:316): ok     (0m2.504s 0m4.188s)
-63. multi_file (testsuite.at:321): ok     (0m3.692s 0m4.760s)
-64. testall -medium (testsuite.at:325): ok     (0m1.024s 0m0.780s)
-65. testall -large (testsuite.at:329): ok     (0m6.708s 0m4.408s)
-testsuite: ending at: Mon Apr 11 04:57:45 IST 2011
-testsuite: test suite duration: 0h 5m 32s
+51. checksums (testsuite.at:270): ok     (0m4.464s 0m3.076s)
+52. xversion (testsuite.at:273): ok     (0m3.736s 0m5.144s)
+54. arrayf77 (testsuite.at:282): ok     (0m0.056s 0m0.248s)
+55. curvef77 (testsuite.at:286): ok     (0m0.016s 0m0.128s)
+56. matf77 (testsuite.at:290): ok     (0m0.040s 0m0.100s)
+57. pointf77 (testsuite.at:294): ok     (0m0.032s 0m0.096s)
+58. quadf77 (testsuite.at:298): ok     (0m0.032s 0m0.096s)
+59. testallf77 (testsuite.at:302): ok     (0m0.036s 0m0.136s)
+60. ucdf77 (testsuite.at:306): ok     (0m0.052s 0m0.140s)
+61. silock (testsuite.at:312): ok     (0m0.308s 0m0.648s)
+62. force single (testsuite.at:316): ok     (0m3.248s 0m5.196s)
+63. multi_file (testsuite.at:321): ok     (0m5.344s 0m4.768s)
+64. testall -medium (testsuite.at:325): ok     (0m1.512s 0m0.952s)
+65. testall -large (testsuite.at:329): ok     (0m9.057s 0m4.748s)
+testsuite: ending at: Mon Apr 11 07:15:43 IST 2011
+testsuite: test suite duration: 0h 6m 37s
 
 ## ------------- ##
 ## Test results. ##
@@ -179,7 +179,7 @@ DBCreate: Compression failure.: METHOD=S
 DBWrite: File was closed or never opened/created.: METHOD=SZIP
 DBClose: File was closed or never opened/created.: METHOD=SZIP
 stdout:
-Write took 0.012472 seconds and 0 bytes/second
+Write took 0.011678 seconds and 0 bytes/second
 ./testsuite.at:249: exit code was 1, expected 0
 46. testsuite.at:247: 46. compression szip (testsuite.at:247): FAILED (testsuite.at:249)
 
@@ -491,7 +491,7 @@ Further errors will be suppressed
 | Thread model: posix
 | gcc version 4.5.2 (Debian 4.5.2-8) 
 | COLLECT_GCC_OPTIONS='-o' 'conftest' '-g' '-O2' '-v' '-shared-libgcc' '-mtune=generic' '-march=i586'
-|  /usr/lib/gcc/i486-linux-gnu/4.5.2/f951 conftest.f -ffixed-form -quiet -dumpbase conftest.f -mtune=generic -march=i586 -auxbase conftest -g -O2 -version -fintrinsic-modules-path /usr/lib/gcc/i486-linux-gnu/4.5.2/finclude -o /tmp/ccfi1UFX.s
+|  /usr/lib/gcc/i486-linux-gnu/4.5.2/f951 conftest.f -ffixed-form -quiet -dumpbase conftest.f -mtune=generic -march=i586 -auxbase conftest -g -O2 -version -fintrinsic-modules-path /usr/lib/gcc/i486-linux-gnu/4.5.2/finclude -o /tmp/ccy14BOk.s
 | GNU Fortran (Debian 4.5.2-8) version 4.5.2 (i486-linux-gnu)
 | 	compiled by GNU C version 4.5.2, GMP version 5.0.1, MPFR version 3.0.0-p8, MPC version 0.9
 | GGC heuristics: --param ggc-min-expand=99 --param ggc-min-heapsize=129296
@@ -499,12 +499,12 @@ Further errors will be suppressed
 | 	compiled by GNU C version 4.5.2, GMP version 5.0.1, MPFR version 3.0.0-p8, MPC version 0.9
 | GGC heuristics: --param ggc-min-expand=99 --param ggc-min-heapsize=129296
 | COLLECT_GCC_OPTIONS='-o' 'conftest' '-g' '-O2' '-v' '-shared-libgcc' '-mtune=generic' '-march=i586'
-|  as -V -Qy --32 -o /tmp/ccsnS5lE.o /tmp/ccfi1UFX.s
+|  as -V -Qy --32 -o /tmp/ccuDYS5s.o /tmp/ccy14BOk.s
 | GNU assembler version 2.21.0 (i486-linux-gnu) using BFD version (GNU Binutils for Debian) 2.21.0.20110327
 | COMPILER_PATH=/usr/lib/gcc/i486-linux-gnu/4.5.2/:/usr/lib/gcc/i486-linux-gnu/4.5.2/:/usr/lib/gcc/i486-linux-gnu/:/usr/lib/gcc/i486-linux-gnu/4.5.2/:/usr/lib/gcc/i486-linux-gnu/
 | LIBRARY_PATH=/usr/lib/gcc/i486-linux-gnu/4.5.2/:/usr/lib/gcc/i486-linux-gnu/4.5.2/../../../../lib/:/lib/../lib/:/usr/lib/../lib/:/usr/lib/gcc/i486-linux-gnu/4.5.2/../../../:/lib/:/usr/lib/
 | COLLECT_GCC_OPTIONS='-o' 'conftest' '-g' '-O2' '-v' '-shared-libgcc' '-mtune=generic' '-march=i586'
-|  /usr/lib/gcc/i486-linux-gnu/4.5.2/collect2 --build-id --no-add-needed --eh-frame-hdr -m elf_i386 --hash-style=both -dynamic-linker /lib/ld-linux.so.2 -o conftest /usr/lib/gcc/i486-linux-gnu/4.5.2/../../../../lib/crt1.o /usr/lib/gcc/i486-linux-gnu/4.5.2/../../../../lib/crti.o /usr/lib/gcc/i486-linux-gnu/4.5.2/crtbegin.o -L/usr/lib/gcc/i486-linux-gnu/4.5.2 -L/usr/lib/gcc/i486-linux-gnu/4.5.2/../../../../lib -L/lib/../lib -L/usr/lib/../lib -L/usr/lib/gcc/i486-linux-gnu/4.5.2/../../.. /tmp/ccsnS5lE.o -lgfortran -lm -lgcc_s -lgcc -lc -lgcc_s -lgcc /usr/lib/gcc/i486-linux-gnu/4.5.2/crtend.o /usr/lib/gcc/i486-linux-gnu/4.5.2/../../../../lib/crtn.o
+|  /usr/lib/gcc/i486-linux-gnu/4.5.2/collect2 --build-id --no-add-needed --eh-frame-hdr -m elf_i386 --hash-style=both -dynamic-linker /lib/ld-linux.so.2 -o conftest /usr/lib/gcc/i486-linux-gnu/4.5.2/../../../../lib/crt1.o /usr/lib/gcc/i486-linux-gnu/4.5.2/../../../../lib/crti.o /usr/lib/gcc/i486-linux-gnu/4.5.2/crtbegin.o -L/usr/lib/gcc/i486-linux-gnu/4.5.2 -L/usr/lib/gcc/i486-linux-gnu/4.5.2/../../../../lib -L/lib/../lib -L/usr/lib/../lib -L/usr/lib/gcc/i486-linux-gnu/4.5.2/../../.. /tmp/ccuDYS5s.o -lgfortran -lm -lgcc_s -lgcc -lc -lgcc_s -lgcc /usr/lib/gcc/i486-linux-gnu/4.5.2/crtend.o /usr/lib/gcc/i486-linux-gnu/4.5.2/../../../../lib/crtn.o
 | configure:5020: result: -v
 | configure:5022: checking for Fortran libraries of gfortran
 | configure:5045: gfortran -o conftest -g -O2 -v conftest.f
@@ -516,7 +516,7 @@ Further errors will be suppressed
 | Thread model: posix
 | gcc version 4.5.2 (Debian 4.5.2-8) 
 | COLLECT_GCC_OPTIONS='-o' 'conftest' '-g' '-O2' '-v' '-shared-libgcc' '-mtune=generic' '-march=i586'
-|  /usr/lib/gcc/i486-linux-gnu/4.5.2/f951 conftest.f -ffixed-form -quiet -dumpbase conftest.f -mtune=generic -march=i586 -auxbase conftest -g -O2 -version -fintrinsic-modules-path /usr/lib/gcc/i486-linux-gnu/4.5.2/finclude -o /tmp/ccisv7vt.s
+|  /usr/lib/gcc/i486-linux-gnu/4.5.2/f951 conftest.f -ffixed-form -quiet -dumpbase conftest.f -mtune=generic -march=i586 -auxbase conftest -g -O2 -version -fintrinsic-modules-path /usr/lib/gcc/i486-linux-gnu/4.5.2/finclude -o /tmp/cc7ynuqW.s
 | GNU Fortran (Debian 4.5.2-8) version 4.5.2 (i486-linux-gnu)
 | 	compiled by GNU C version 4.5.2, GMP version 5.0.1, MPFR version 3.0.0-p8, MPC version 0.9
 | GGC heuristics: --param ggc-min-expand=99 --param ggc-min-heapsize=129296
@@ -524,12 +524,12 @@ Further errors will be suppressed
 | 	compiled by GNU C version 4.5.2, GMP version 5.0.1, MPFR version 3.0.0-p8, MPC version 0.9
 | GGC heuristics: --param ggc-min-expand=99 --param ggc-min-heapsize=129296
 | COLLECT_GCC_OPTIONS='-o' 'conftest' '-g' '-O2' '-v' '-shared-libgcc' '-mtune=generic' '-march=i586'
-|  as -V -Qy --32 -o /tmp/ccKZ2Z4a.o /tmp/ccisv7vt.s
+|  as -V -Qy --32 -o /tmp/ccBLlTG5.o /tmp/cc7ynuqW.s
 | GNU assembler version 2.21.0 (i486-linux-gnu) using BFD version (GNU Binutils for Debian) 2.21.0.20110327
 | COMPILER_PATH=/usr/lib/gcc/i486-linux-gnu/4.5.2/:/usr/lib/gcc/i486-linux-gnu/4.5.2/:/usr/lib/gcc/i486-linux-gnu/:/usr/lib/gcc/i486-linux-gnu/4.5.2/:/usr/lib/gcc/i486-linux-gnu/
 | LIBRARY_PATH=/usr/lib/gcc/i486-linux-gnu/4.5.2/:/usr/lib/gcc/i486-linux-gnu/4.5.2/../../../../lib/:/lib/../lib/:/usr/lib/../lib/:/usr/lib/gcc/i486-linux-gnu/4.5.2/../../../:/lib/:/usr/lib/
 | COLLECT_GCC_OPTIONS='-o' 'conftest' '-g' '-O2' '-v' '-shared-libgcc' '-mtune=generic' '-march=i586'
-|  /usr/lib/gcc/i486-linux-gnu/4.5.2/collect2 --build-id --no-add-needed --eh-frame-hdr -m elf_i386 --hash-style=both -dynamic-linker /lib/ld-linux.so.2 -o conftest /usr/lib/gcc/i486-linux-gnu/4.5.2/../../../../lib/crt1.o /usr/lib/gcc/i486-linux-gnu/4.5.2/../../../../lib/crti.o /usr/lib/gcc/i486-linux-gnu/4.5.2/crtbegin.o -L/usr/lib/gcc/i486-linux-gnu/4.5.2 -L/usr/lib/gcc/i486-linux-gnu/4.5.2/../../../../lib -L/lib/../lib -L/usr/lib/../lib -L/usr/lib/gcc/i486-linux-gnu/4.5.2/../../.. /tmp/ccKZ2Z4a.o -lgfortran -lm -lgcc_s -lgcc -lc -lgcc_s -lgcc /usr/lib/gcc/i486-linux-gnu/4.5.2/crtend.o /usr/lib/gcc/i486-linux-gnu/4.5.2/../../../../lib/crtn.o
+|  /usr/lib/gcc/i486-linux-gnu/4.5.2/collect2 --build-id --no-add-needed --eh-frame-hdr -m elf_i386 --hash-style=both -dynamic-linker /lib/ld-linux.so.2 -o conftest /usr/lib/gcc/i486-linux-gnu/4.5.2/../../../../lib/crt1.o /usr/lib/gcc/i486-linux-gnu/4.5.2/../../../../lib/crti.o /usr/lib/gcc/i486-linux-gnu/4.5.2/crtbegin.o -L/usr/lib/gcc/i486-linux-gnu/4.5.2 -L/usr/lib/gcc/i486-linux-gnu/4.5.2/../../../../lib -L/lib/../lib -L/usr/lib/../lib -L/usr/lib/gcc/i486-linux-gnu/4.5.2/../../.. /tmp/ccBLlTG5.o -lgfortran -lm -lgcc_s -lgcc -lc -lgcc_s -lgcc /usr/lib/gcc/i486-linux-gnu/4.5.2/crtend.o /usr/lib/gcc/i486-linux-gnu/4.5.2/../../../../lib/crtn.o
 | configure:5219: result:  -L/usr/lib/gcc/i486-linux-gnu/4.5.2 -L/usr/lib/gcc/i486-linux-gnu/4.5.2/../../../../lib -L/lib/../lib -L/usr/lib/../lib -L/usr/lib/gcc/i486-linux-gnu/4.5.2/../../.. -lgfortran -lm
 | configure:5236: checking for dummy main to link with Fortran libraries
 | configure:5280: gcc -o conftest -g -O2   conftest.c   -L/usr/lib/gcc/i486-linux-gnu/4.5.2 -L/usr/lib/gcc/i486-linux-gnu/4.5.2/../../../../lib -L/lib/../lib -L/usr/lib/../lib -L/usr/lib/gcc/i486-linux-gnu/4.5.2/../../.. -lgfortran -lm >&5
@@ -539,7 +539,7 @@ Further errors will be suppressed
 | configure:5423: gfortran -c -g -O2  conftest.f >&5
 | configure:5429: $? = 0
 | configure:5484: gcc -o conftest -g -O2   conftest.c cfortran_test.o   -L/usr/lib/gcc/i486-linux-gnu/4.5.2 -L/usr/lib/gcc/i486-linux-gnu/4.5.2/../../../../lib -L/lib/../lib -L/usr/lib/../lib -L/usr/lib/gcc/i486-linux-gnu/4.5.2/../../.. -lgfortran -lm >&5
-| /tmp/ccupBugA.o: In function `main':
+| /tmp/cccuiXij.o: In function `main':
 | /home/alastair/silo-llnl/apr11/silo-llnl-4.8/conftest.c:29: undefined reference to `foobar'
 | collect2: ld returned 1 exit status
 | configure:5490: $? = 1
@@ -1151,7 +1151,7 @@ Further errors will be suppressed
 | configure:24930: result: yes
 | configure:24842: checking for fpclass
 | configure:24906: gcc -o conftest -g -O2 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -Wdeclaration-after-statement   conftest.c  >&5
-| /tmp/ccbrpdKU.o: In function `main':
+| /tmp/ccdNUDoD.o: In function `main':
 | /home/alastair/silo-llnl/apr11/silo-llnl-4.8/conftest.c:90: undefined reference to `fpclass'
 | collect2: ld returned 1 exit status
 | configure:24912: $? = 1
@@ -1857,7 +1857,7 @@ Further errors will be suppressed
 | CC_FULLPATH='/usr/bin/gcc'
 | CFLAGS='-g -O2 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -Wdeclaration-after-statement'
 | CONFIG_CMD='./configure '\''--build=i486-linux-gnu'\'' '\''--prefix=/usr'\'' '\''--includedir=${prefix}/include'\'' '\''--mandir=${prefix}/share/man'\'' '\''--infodir=${prefix}/share/info'\'' '\''--sysconfdir=/etc'\'' '\''--localstatedir=/var'\'' '\''--libexecdir=${prefix}/lib/silo-llnl'\'' '\''--disable-maintainer-mode'\'' '\''--disable-dependency-tracking'\'' '\''--with-qt=/usr'\'' '\''--enable-pythonmodule'\'' '\''--enable-silex'\'' '\''--with-qt-bin=/usr/bin'\'' '\''--with-qt-lib=/usr/lib'\'' '\''--with-qt-include=/usr/include/qt4'\'' '\''--with-hdf5=/usr/include,/usr/lib'\'' '\''PYTHON=python2.6'\'' '\''build_alias=i486-linux-gnu'\'' '\''CXXFLAGS=-g -O2'\'' '\''LDFLAGS='\'' '\''CPPFLAGS='\'' '\''CFLAGS=-g -O2'\'' '\''FFLAGS=-g -O2'\'''
-| CONFIG_DATE='Mon Apr 11 04:46:15 IST 2011'
+| CONFIG_DATE='Mon Apr 11 07:04:25 IST 2011'
 | CONFIG_USER='alastair@debian'
 | CPP='gcc -E'
 | CPPFLAGS='-I/usr/include '
--- silo-llnl-4.8.orig/tests/testsuite.log.pdb
+++ silo-llnl-4.8/tests/testsuite.log.pdb
@@ -62,50 +62,50 @@ testsuite: atconfig:
 ## ------------------ ##
 ## Running the tests. ##
 ## ------------------ ##
-testsuite: starting at: Mon Apr 11 04:50:19 IST 2011
-1. version (testsuite.at:63): ok     (0m0.152s 0m0.284s)
-2. namescheme (testsuite.at:86): ok     (0m0.128s 0m0.244s)
-3. point (testsuite.at:89): ok     (0m0.144s 0m0.256s)
-4. extface (testsuite.at:92): ok     (0m0.132s 0m0.264s)
-5. testall -small (testsuite.at:95): ok     (0m0.352s 0m0.316s)
-6. TestReadMask (testsuite.at:98): ok     (0m0.440s 0m0.848s)
-7. array (testsuite.at:104): ok     (0m0.120s 0m0.292s)
-8. multi_test (testsuite.at:107): ok     (0m0.552s 0m0.496s)
-9. multi_test earlyclose (testsuite.at:110): ok     (0m0.144s 0m0.228s)
-10. partial_io (testsuite.at:113): ok     (0m0.112s 0m0.268s)
-11. simple (testsuite.at:116): ok     (0m0.108s 0m0.276s)
-12. ucd (testsuite.at:119): ok     (0m0.120s 0m0.276s)
-13. ucdsamp3 (testsuite.at:122): ok     (0m0.124s 0m0.268s)
-14. testall -small -fortran (testsuite.at:125): ok     (0m0.224s 0m0.232s)
-15. obj (testsuite.at:128): ok     (0m0.116s 0m0.236s)
-16. onehex (testsuite.at:131): ok     (0m0.112s 0m0.292s)
-17. oneprism (testsuite.at:134): ok     (0m0.104s 0m0.272s)
-18. onepyramid (testsuite.at:137): ok     (0m0.112s 0m0.272s)
-19. onetet (testsuite.at:140): ok     (0m0.120s 0m0.244s)
-20. subhex (testsuite.at:143): ok     (0m0.148s 0m0.252s)
-21. twohex (testsuite.at:146): ok     (0m0.156s 0m0.228s)
-22. multispec (testsuite.at:149): ok     (0m0.120s 0m0.296s)
-23. sami (testsuite.at:152): ok     (0m0.124s 0m0.316s)
-24. specmix (testsuite.at:155): ok     (0m0.176s 0m0.264s)
-25. spec (testsuite.at:158): ok     (0m0.128s 0m0.248s)
-26. group_test (testsuite.at:161): ok     (0m0.500s 0m0.408s)
-27. listtypes (testsuite.at:164): ok     (0m0.156s 0m0.480s)
-28. alltypes (testsuite.at:168): ok     (0m0.124s 0m0.260s)
-29. wave (testsuite.at:171): ok     (0m0.216s 0m0.292s)
-30. polyzl (testsuite.at:174): ok     (0m0.104s 0m0.256s)
-31. csg (testsuite.at:177): ok     (0m0.120s 0m0.232s)
-32. rocket (testsuite.at:180): ok     (0m0.156s 0m0.276s)
-33. mmadjacency (testsuite.at:183): ok     (0m0.136s 0m0.216s)
-34. mat3d_3across (testsuite.at:186): ok     (0m0.112s 0m0.252s)
-35. ucd1d (testsuite.at:189): ok     (0m0.104s 0m0.260s)
-36. dir (testsuite.at:192): ok     (0m0.124s 0m0.260s)
-37. quad (testsuite.at:195): ok     (0m0.132s 0m0.228s)
-38. arbpoly2d (testsuite.at:198): ok     (0m0.132s 0m0.224s)
-39. readstuff (testsuite.at:201): ok     (0m0.596s 0m0.576s)
-40. read (testsuite.at:207): ok     (0m0.544s 0m0.388s)
-41. write (testsuite.at:212): ok     (0m0.032s 0m0.084s)
-42. error handling (testsuite.at:227): ok     (0m0.452s 0m0.436s)
-43. testpdb (testsuite.at:234): ok     (0m0.132s 0m0.212s)
+testsuite: starting at: Mon Apr 11 07:07:23 IST 2011
+1. version (testsuite.at:63): ok     (0m0.136s 0m0.144s)
+2. namescheme (testsuite.at:86): ok     (0m0.136s 0m0.144s)
+3. point (testsuite.at:89): ok     (0m0.112s 0m0.108s)
+4. extface (testsuite.at:92): ok     (0m0.108s 0m0.116s)
+5. testall -small (testsuite.at:95): ok     (0m0.312s 0m0.136s)
+6. TestReadMask (testsuite.at:98): ok     (0m0.420s 0m0.308s)
+7. array (testsuite.at:104): ok     (0m0.124s 0m0.104s)
+8. multi_test (testsuite.at:107): ok     (0m0.492s 0m0.308s)
+9. multi_test earlyclose (testsuite.at:110): ok     (0m0.148s 0m0.088s)
+10. partial_io (testsuite.at:113): ok     (0m0.120s 0m0.100s)
+11. simple (testsuite.at:116): ok     (0m0.128s 0m0.088s)
+12. ucd (testsuite.at:119): ok     (0m0.124s 0m0.108s)
+13. ucdsamp3 (testsuite.at:122): ok     (0m0.120s 0m0.100s)
+14. testall -small -fortran (testsuite.at:125): ok     (0m0.232s 0m0.088s)
+15. obj (testsuite.at:128): ok     (0m0.124s 0m0.096s)
+16. onehex (testsuite.at:131): ok     (0m0.144s 0m0.088s)
+17. oneprism (testsuite.at:134): ok     (0m0.128s 0m0.100s)
+18. onepyramid (testsuite.at:137): ok     (0m0.108s 0m0.076s)
+19. onetet (testsuite.at:140): ok     (0m0.076s 0m0.120s)
+20. subhex (testsuite.at:143): ok     (0m0.112s 0m0.112s)
+21. twohex (testsuite.at:146): ok     (0m0.108s 0m0.124s)
+22. multispec (testsuite.at:149): ok     (0m0.144s 0m0.084s)
+23. sami (testsuite.at:152): ok     (0m0.124s 0m0.100s)
+24. specmix (testsuite.at:155): ok     (0m0.160s 0m0.104s)
+25. spec (testsuite.at:158): ok     (0m0.128s 0m0.108s)
+26. group_test (testsuite.at:161): ok     (0m0.460s 0m0.252s)
+27. listtypes (testsuite.at:164): ok     (0m0.164s 0m0.148s)
+28. alltypes (testsuite.at:168): ok     (0m0.148s 0m0.084s)
+29. wave (testsuite.at:171): ok     (0m0.192s 0m0.156s)
+30. polyzl (testsuite.at:174): ok     (0m0.100s 0m0.120s)
+31. csg (testsuite.at:177): ok     (0m0.108s 0m0.104s)
+32. rocket (testsuite.at:180): ok     (0m0.120s 0m0.108s)
+33. mmadjacency (testsuite.at:183): ok     (0m0.100s 0m0.124s)
+34. mat3d_3across (testsuite.at:186): ok     (0m0.116s 0m0.084s)
+35. ucd1d (testsuite.at:189): ok     (0m0.120s 0m0.100s)
+36. dir (testsuite.at:192): ok     (0m0.136s 0m0.096s)
+37. quad (testsuite.at:195): ok     (0m0.116s 0m0.124s)
+38. arbpoly2d (testsuite.at:198): ok     (0m0.132s 0m0.104s)
+39. readstuff (testsuite.at:201): ok     (0m0.544s 0m0.312s)
+40. read (testsuite.at:207): ok     (0m0.448s 0m0.236s)
+41. write (testsuite.at:212): ok     (0m0.036s 0m0.032s)
+42. error handling (testsuite.at:227): ok     (0m0.496s 0m0.192s)
+43. testpdb (testsuite.at:234): ok     (0m0.120s 0m0.080s)
 44. grab (testsuite.at:239): skipped (testsuite.at:240)
 45. compression gzip (testsuite.at:242): skipped (testsuite.at:244)
 46. compression szip (testsuite.at:247): skipped (testsuite.at:249)
@@ -116,20 +116,20 @@ testsuite: starting at: Mon Apr 11 04:50
 51. checksums (testsuite.at:270): skipped (testsuite.at:271)
 52. xversion (testsuite.at:273): skipped (testsuite.at:274)
 53. largefile (testsuite.at:276): skipped (testsuite.at:278)
-54. arrayf77 (testsuite.at:282): ok     (0m0.124s 0m0.236s)
-55. curvef77 (testsuite.at:286): ok     (0m0.152s 0m0.220s)
-56. matf77 (testsuite.at:290): ok     (0m0.144s 0m0.216s)
-57. pointf77 (testsuite.at:294): ok     (0m0.172s 0m0.180s)
-58. quadf77 (testsuite.at:298): ok     (0m0.152s 0m0.204s)
-59. testallf77 (testsuite.at:302): ok     (0m0.164s 0m0.180s)
-60. ucdf77 (testsuite.at:306): ok     (0m0.160s 0m0.188s)
-61. silock (testsuite.at:312): ok     (0m0.296s 0m0.816s)
-62. force single (testsuite.at:316): ok     (0m2.060s 0m3.780s)
-63. multi_file (testsuite.at:321): ok     (0m4.640s 0m2.516s)
-64. testall -medium (testsuite.at:325): ok     (0m1.056s 0m0.616s)
-65. testall -large (testsuite.at:329): ok     (0m6.608s 0m3.428s)
-testsuite: ending at: Mon Apr 11 04:52:11 IST 2011
-testsuite: test suite duration: 0h 1m 53s
+54. arrayf77 (testsuite.at:282): ok     (0m0.164s 0m0.120s)
+55. curvef77 (testsuite.at:286): ok     (0m0.140s 0m0.116s)
+56. matf77 (testsuite.at:290): ok     (0m0.140s 0m0.124s)
+57. pointf77 (testsuite.at:294): ok     (0m0.168s 0m0.088s)
+58. quadf77 (testsuite.at:298): ok     (0m0.144s 0m0.092s)
+59. testallf77 (testsuite.at:302): ok     (0m0.152s 0m0.108s)
+60. ucdf77 (testsuite.at:306): ok     (0m0.160s 0m0.104s)
+61. silock (testsuite.at:312): ok     (0m0.392s 0m0.516s)
+62. force single (testsuite.at:316): ok     (0m2.320s 0m3.756s)
+63. multi_file (testsuite.at:321): ok     (0m5.092s 0m2.680s)
+64. testall -medium (testsuite.at:325): ok     (0m1.012s 0m0.200s)
+65. testall -large (testsuite.at:329): ok     (0m7.112s 0m1.728s)
+testsuite: ending at: Mon Apr 11 07:09:05 IST 2011
+testsuite: test suite duration: 0h 1m 42s
 
 ## ------------- ##
 ## Test results. ##
--- silo-llnl-4.8.orig/tools/Makefile
+++ silo-llnl-4.8/tools/Makefile
@@ -124,7 +124,7 @@ CCDEPMODE = depmode=none
 CC_FULLPATH = /usr/bin/gcc
 CFLAGS = -g -O2 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -Wdeclaration-after-statement
 CONFIG_CMD = ./configure '--build=i486-linux-gnu' '--prefix=/usr' '--includedir=${prefix}/include' '--mandir=${prefix}/share/man' '--infodir=${prefix}/share/info' '--sysconfdir=/etc' '--localstatedir=/var' '--libexecdir=${prefix}/lib/silo-llnl' '--disable-maintainer-mode' '--disable-dependency-tracking' '--with-qt=/usr' '--enable-pythonmodule' '--enable-silex' '--with-qt-bin=/usr/bin' '--with-qt-lib=/usr/lib' '--with-qt-include=/usr/include/qt4' '--with-hdf5=/usr/include,/usr/lib' 'PYTHON=python2.6' 'build_alias=i486-linux-gnu' 'CXXFLAGS=-g -O2' 'LDFLAGS=' 'CPPFLAGS=' 'CFLAGS=-g -O2' 'FFLAGS=-g -O2'
-CONFIG_DATE = Mon Apr 11 04:46:15 IST 2011
+CONFIG_DATE = Mon Apr 11 07:04:25 IST 2011
 CONFIG_USER = alastair@debian
 CPP = gcc -E
 CPPFLAGS = -I/usr/include 
--- silo-llnl-4.8.orig/src/Makefile
+++ silo-llnl-4.8/src/Makefile
@@ -185,7 +185,7 @@ CCDEPMODE = depmode=none
 CC_FULLPATH = /usr/bin/gcc
 CFLAGS = -g -O2 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -Wdeclaration-after-statement
 CONFIG_CMD = ./configure '--build=i486-linux-gnu' '--prefix=/usr' '--includedir=${prefix}/include' '--mandir=${prefix}/share/man' '--infodir=${prefix}/share/info' '--sysconfdir=/etc' '--localstatedir=/var' '--libexecdir=${prefix}/lib/silo-llnl' '--disable-maintainer-mode' '--disable-dependency-tracking' '--with-qt=/usr' '--enable-pythonmodule' '--enable-silex' '--with-qt-bin=/usr/bin' '--with-qt-lib=/usr/lib' '--with-qt-include=/usr/include/qt4' '--with-hdf5=/usr/include,/usr/lib' 'PYTHON=python2.6' 'build_alias=i486-linux-gnu' 'CXXFLAGS=-g -O2' 'LDFLAGS=' 'CPPFLAGS=' 'CFLAGS=-g -O2' 'FFLAGS=-g -O2'
-CONFIG_DATE = Mon Apr 11 04:46:15 IST 2011
+CONFIG_DATE = Mon Apr 11 07:04:25 IST 2011
 CONFIG_USER = alastair@debian
 CPP = gcc -E
 CPPFLAGS = -I/usr/include 
